Name:           perl-BSD-Resource
Version:        1.28
Release: 	1.fc6.1
Summary:        BSD process resource limit and priority functions

Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://search.cpan.org/dist/BSD-Resource/
Source0: http://www.cpan.org/authors/id/J/JH/JHI/BSD-Resource-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  perl >= 1:5.6.1
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
A module providing an interface for testing and setting process limits
and priorities.


%prep
%setup -q -n BSD-Resource-%{version} 

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags} OPTIMIZE="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check || :
# fails test due to missing BuildReq? #153178
#make test

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_vendorarch}/*/
%{perl_vendorarch}/auto/*/
%{_mandir}/man3/*.3*


%changelog
* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - sh: line 0: fg: no job control
- rebuild

* Mon Jun 05 2006 Jason Vas Dias <jvdias@redhat.com> - 1.28-1
- upgrade to upstream version 1.28

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.24-3.2.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.24-3.2.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Feb 03 2006 Jason Vas Dias <jvdias@redhat.com> - 1.24-3.2
- rebuild for new perl-5.8.8

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcc

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcj

* Sat Apr  2 2005 Warren Togami <wtogami@redhat.com> - 1.24-3
- skip make test #153178

* Sat Apr  2 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.24-2
- spec cleanup
- License corrected

* Thu Mar 31 2005 Warren Togami <wtogami@redhat.com> 1.24-1
- 1.24

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Chip Turner <cturner@redhat.com> 1.23-1
- update to 1.23

* Thu Jun 05 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Nov 20 2002 Chip Turner <cturner@redhat.com>
- rebuild

* Tue Aug  6 2002 Chip Turner <cturner@redhat.com>
- automated release bump and build

* Tue Jun  4 2002 Chip Turner <cturner@redhat.com>
- properly claim directories owned by package so they are removed when package is removed

* Wed Jan 30 2002 cturner@redhat.com
- Specfile autogenerated

